### Method

# Camel StoreSummary path

#### Declaration [src]

    CamelStoreInfo*
    camel_store_summary_path (
      CamelStoreSummary* summary,
      const gchar* path
    )

#### Description [src]

Retrieve a summary item by path name.

The returned `CamelStoreInfo` is referenced for thread-safety and should be unreferenced with `camel_store_info_unref()` when finished with it.

This method is not directly available to language bindings.

#### Parameters

`path`

  Type: `const gchar*`

  Path to the item.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `CamelStoreInfo`

The summary item, or `NULL` if the `path` name is not available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.